package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * RC审计助手对象 t_rcaudit
 *
 * @author ruoyi
 * @date 2020-12-07
 */
public class TRcaudit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 序号 */
    @Excel(name = "序号")
    private String rcCode;

    /** 目录ID */
    private String menuid;

    /** 目录 */
    @Excel(name = "目录")
    private String menuName;

    /** 名称 */
    @Excel(name = "名称")
    private String nameCn;

    /** 英文名称 */
    private String nameEn;

    /** YES */
    @Excel(name = "YES", dictType = "TICK_CROSS")
    private Long yes;

    /** NO */
    @Excel(name = "NO", dictType = "TICK_CROSS")
    private Long no;

    /** NA */
    @Excel(name = "NA", dictType = "TICK_CROSS")
    private String na;

    /** 链接 */
    private String link;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    private String deptName;

    private int fileNum;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setRcCode(String rcCode)
    {
        this.rcCode = rcCode;
    }

    public String getRcCode()
    {
        return rcCode;
    }
    public void setMenuid(String menuid)
    {
        this.menuid = menuid;
    }

    public String getMenuid()
    {
        return menuid;
    }
    public void setNameCn(String nameCn)
    {
        this.nameCn = nameCn;
    }

    public String getNameCn()
    {
        return nameCn;
    }
    public void setNameEn(String nameEn)
    {
        this.nameEn = nameEn;
    }

    public String getNameEn()
    {
        return nameEn;
    }
    public void setYes(Long yes)
    {
        this.yes = yes;
    }

    public Long getYes()
    {
        return yes;
    }
    public void setNo(Long no)
    {
        this.no = no;
    }

    public Long getNo()
    {
        return no;
    }
    public void setNa(String na)
    {
        this.na = na;
    }

    public String getNa()
    {
        return na;
    }
    public void setLink(String link)
    {
        this.link = link;
    }

    public String getLink()
    {
        return link;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setMenuName(String menuName)
    {
        this.menuName = menuName;
    }

    public String getMenuName()
    {
        return menuName;
    }
    public int getFileNum() { return fileNum; }

    public void setFileNum(int fileNum) { this.fileNum = fileNum; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("rcCode", getRcCode())
            .append("menuid", getMenuid())
            .append("nameCn", getNameCn())
            .append("nameEn", getNameEn())
            .append("yes", getYes())
            .append("no", getNo())
            .append("na", getNa())
            .append("link", getLink())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("menuName", getMenuName())
            .toString();
    }
}
